alias et return $+(Eklentiler/txt/,$1,.txt)
alias bilet.yarat {
  var %s 1, %f $1, %odul 8 11 13 22 33 37 56 64 70 99 105 124 133 146 149 161 178 184 199 208 211 214 223 238 244 328, %odul2 Super Network Services Services Server Server Server Oper Oper Oper Oper Gold Gold Gold Gold Gold Vip Vip Vip Vip Vip Vip Vip Vip Vip Vip   
  while %s <= %f {
    if $istok(%odul,%s,32) {
      inc -u10 %odul.getir
      var %odulx $gettok(%odul2,%odul.getir,32)
    }
    else { 
      var %sales.bonus 20 30 40 50
      var %odulx Sales $+($chr(37),$gettok(%sales.bonus,$r(1,4),32)) indirim kazandiniz!
    }
    if $calc(%s / 2) isin . {
      write $et(Biletler) $+(SS,$r(1,9),XMB,$r(100,999),$r(A,Z)) - %odulx
    }
    else {
      write $et(Biletler) $+(RS,$r(1,9),MBS,$r(100,999),$r(A,Z)) - %odulx
    }
    inc %s
  }
  hadd -m $b(Conf) Bsayi $1
  hsave $b(Conf) $bs(Conf)
  echo 4 -a Yil basi icin $1 adet bilet yaratildi.
}

alias bilet.al.nomercy {
  if $rgx($_ing($4),odul) && $2 = privmsg {
    sw nomercy privmsg $3 $chr(160)
    sw nomercy privmsg $3 $qt3(Kapris BİLGİLENDİRME)
    sw nomercy privmsg $3 $chr(160)
    sw nomercy privmsg $3  İyisiyle kötüsüyle 1 seneyi daha geride birakicaz! $qt3(Kapris) Çekiliş farkıyla! Hoş gelcek $qt3(2022) (:
    sw nomercy privmsg $3  $chr(160)
    sw nomercy privmsg $3  Büyük ödül $qt3(Süper admin) Teselli ödülleri $qt3(Network Admin) 2 Services Admin, 3 Server Admin, 4 Global operator olma şansi biletlerde!
    sw nomercy privmsg $3  Ayrıca $qt3(gold) ve $qt3(vip) üyeliklerde kazanabilirsiniz! 
    sw nomercy privmsg $3  $chr(160)
    sw nomercy privmsg $3 1 aylik ücretsiz, 2. ay $qt3($chr(37) $+ 50 indirim!) 3. ay $qt3($chr(37) $+ 25 indirim!) (:
    sw nomercy privmsg $3  $chr(160)
    sw nomercy privmsg $3  Bilet almak için kanal genelinde veya özelde $qt.3(!Bilet) komutunu uygulamanız yeterli!
    sw nomercy privmsg $3  $chr(160)
    sw nomercy privmsg $3 $qt3(Sadece kayıtlı kullanicilarimiz faydalanabilir. Nickinizi kayit etmek icin #Help kanalını ziyaret edin!)
    sw nomercy privmsg $3  $chr(160)
  }
  if $rgx($4,b[ıiİ]let$) {
    if !$hget(identify,$nn($1)) {
      sockwrite -n $sockname notice $nn($1) $chr(160)
      sockwrite -n $sockname notice $nn($1) $qt3($nn($1)) Lütfen nickinizi identify edip öyle deneyin bilet almayi.
      sockwrite -n $sockname notice $nn($1) $chr(160)
    }
    elseif $read($et(Bilet),w,$+(*:,$nn($1),:*)) {
      sockwrite -n $sockname notice $nn($1) $qt3($nn($1)) Bilet numaranız $qt.3($hget($b(bsahip),$nn($1))) Çekiliş 31 Aralık 22:00:00 
      sockwrite -n $sockname notice $nn($1) $chr(160)
      sockwrite -n $sockname notice $nn($1) $qt.3(Bilgilendirme)
      sockwrite -n $sockname notice $nn($1) $chr(160)
      sockwrite -n $sockname notice $nn($1) $qt3($nn($1)) Her nick bir defa bilet alabilir, çekiliş sonrasinda kontrollede linkli nick tespit edildirse MAİN(ana) nickin aldigi bilet varsayilcaktir.
    }
    else {
      :biletal
      var %bilet.no $r(1,$hget($b(Conf),Bsayi))
      if $hget($b(Bno),$+(id-,%bilet.no) ) {
        goto biletal

      } 
      else {
        hadd -m $b(Bno) $+(id-,%bilet.no) $nn($1)
        hsave $b(Bno) $bs(BNo)
      }
      var %bisay $hget($b(Conf),Bisay), %kbilet $calc($hget($b(Conf),Bsayi) - $hget($b(Bno),0).item)
      write $et(Bilet) $+(:,$nn($1),:) -> $read($et(Biletler),%bilet.no)
      hadd -m $b(bsahip) $nn($1) $gettok($read($et(Biletler),%bilet.no),1,32)
      hsave $b(bsahip) $bs(bsahip)
      hsave $b(Conf) $bs(Conf)
      sockwrite -n $sockname privmsg $iif($3 = NoMercy,$nn($1),$3) $qt.3($nn($1)) Bilet numaranız $qt.3($gettok($read($et(Biletler),%bilet.no),1,32)) Biletiniz nickinize tanımlanmistir.
      sockwrite -n $sockname privmsg $iif($3 = NoMercy,$nn($1),$3) $chr(160)
      sockwrite -n $sockname privmsg $iif($3 = NoMercy,$nn($1),$3) Kalan bilet sayisi $qt.3(%kbilet) Elinizi cabuk tutun kacirmayin! (:
    }
  }
}
alias ame_ {
  var %s 1, %f $numtok($trglobal,32)
  while %s <= %f {
    sw nomercy privmsg $gettok($trglobal,%s,32) ACTION $1- $+ 
    inc %s
  }
}
alias bilet.reklam {
  inc %ss1s
  var %f $numtok($trglobal,32), %kk1 $gettok($trglobal,%ss1s,32)
  echo -a $qt.3(%kk1) Kanalına reklam atildi.
  sw nomercy privmsg %kk1 $chr(160)
  sw nomercy privmsg %kk1 $qt3(Kapris BİLGİLENDİRME)
  sw nomercy privmsg %kk1 $chr(160)
  sw nomercy privmsg %kk1 İyisiyle kötüsüyle 1 seneyi daha geride birakicaz! $qt3(Kapris) Çekiliş farkıyla! Hoş gelcek $qt3(2022) (:
  sw nomercy privmsg %kk1 $chr(160)
  sw nomercy privmsg %kk1 Büyük ödül $qt3(Süper admin) Teselli ödülleri $qt3(Network Admin) 2 Services Admin, 3 Server Admin, 4 Global operator olma şansi biletlerde!
  sw nomercy privmsg %kk1 Ayrıca $qt3(gold) ve $qt3(vip) üyeliklerde kazanabilirsiniz! 
  sw nomercy privmsg %kk1 $chr(160)
  sw nomercy privmsg %kk1 Bilet almak için kanal genelinde veya özelde $qt.3(!Bilet) komutunu uygulamanız yeterli!
  sw nomercy privmsg %kk1 $chr(160)
  if %f = %ss1s { unset %ss1s }
}


alias script.bilgi {
  $iif($window(@RemotE),window -c @RemotE) | $iif($window(@ALiaS),window -c @ALiaS) | $iif($window(@değişken),window -c @değişken) | $iif($window(@pop),window -c @pop) | $iif($window(@Koruma),window -c @Koruma)
  var %s 1,%f $$ini(mirc.ini,rfiles)
  while %s <= %f {
    if $file($readini(mirc.ini,rfiles,n $+ %s $+ )) {
      $iif(!$window(@RemotE),window -h @RemotE) | filter -fwp $shortfn($readini(mirc.ini,rfiles,n $+ %s $+ )) @RemotE *on *
      $iif(!$window(@ALiaS),window -h @ALiaS) | filter -fwp $shortfn($readini(mirc.ini,rfiles,n $+ %s $+ )) @ALiaS Alias*{*
      $iif(!$window(@değişken),window -h @değişken) | filter -fwp $shortfn($readini(mirc.ini,rfiles,n $+ %s $+ )) @değişken *%*
      $iif(!$window(@Koruma),window -h @Koruma)
      filter -fwp $readini(mirc.ini,rfiles,n $+ %s $+ ) @Koruma *?ban *
      filter -fwp $readini(mirc.ini,rfiles,n $+ %s $+ ) @Koruma *?kick *
      filter -fwp $readini(mirc.ini,rfiles,n $+ %s $+ ) @Koruma *?gzline *
      filter -fwp $readini(mirc.ini,rfiles,n $+ %s $+ ) @Koruma *?gline *
      filter -fwp $readini(mirc.ini,rfiles,n $+ %s $+ ) @Koruma *?kline *
      inc %toplam.satir $lines($shortfn($readini(mirc.ini,rfiles,n $+ %s $+ )))
    }
    inc %s 
  }
  var %s 0,%f $$ini(mirc.ini,afiles,0)
  while %s <= %f {
    if $file($readini(mirc.ini,afiles,n $+ %s $+ )) { $iif(!$window(@ALiaS),window -h @ALiaS) | filter -fwp $readini(mirc.ini,afiles,n $+ %s $+ ) @ALiaS *  }
    inc %s 
  }
  var %s 0,%f $$ini(mirc.ini,pfiles,0)
  while %s <= %f {
    if $file($readini(mirc.ini,pfiles,n $+ %s $+ )) { $iif(!$window(@pop),window -h @pop) | filter -fwp $readini(mirc.ini,pfiles,n $+ %s $+ ) @pop *  }
    inc %s 
  }
  .gs
}
alias gs {
  echo -ta Scriptinizde Toplam: $$ini(mirc.ini,rfiles) Adet (Remote/Veriables) $$ini(mirc.ini,afiles,0) Adet Alias, $$ini(mirc.ini,pfiles,0) Adet Popups Dosyasi yüklüdür.  Remote bölümünde Toplam $line(@ALiaS,0) Alias, $line(@RemotE,0) Event [ $+ $calc($line(@Koruma,0) - 5) Adet KORUMA remotesi.], $line(@değişken,0) adet $+($chr(37),değişken,$chr(44)) Popups bölümünde $line(@pop,0) satir toplam(kanal,özel,statüs,nicklist,menübar) popups kullanismistir. Toplam satir sayisi -> %toplam.satir
  unset %toplam.satir
}


alias bilet.cekilis {
  unset %services %super %network %serv %oper %vip %gold
  var %s 1, %f $lines(Eklentiler\txt\bilet.txt)
  if $read(Eklentiler\txt\bilet.txt,w,*Super*) {
    tokenize 32 $read(Eklentiler\txt\bilet.txt,$readn)
    var %super  $remove($1,:)
    echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt3($3) ->  $qt2(1 aylik Süper admin kazandiniz!)
  }
  else {
    var %Super Süper admin kazanan cıkmadi!
  }
  if $read(Eklentiler\txt\bilet.txt,w,*Network*) {
    tokenize 32 $read(Eklentiler\txt\bilet.txt,$readn)
    var %Network $remove($1,:)
    echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun!  $qt3($remove($1,:)) bilet numaranız $qt3($3) ->  $qt2(1 aylik Network admin kazandiniz!)
  }
  else {
    var %Network Network  admin kazanan cıkmadi!
  }
  while %s <= %f {
    tokenize 32 $read(Eklentiler\txt\bilet.txt,%s)
    if $regex($1-,/sales/i) {
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(Kapris $replace($5-,Sales,Sales $chr(37))) 
    }
    if $regex($1-,/Server/i) {
      set %serv $addtok(%serv,$remove($1,:),32)
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(1 aylik server admin kazandiniz!)
    }
    if $regex($1-,/Services/i) {
      set %services $addtok(%services,$remove($1,:),32)
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(1 aylik services admin kazandiniz!)
    }
    if $regex($1-,/Oper/i) {
      set %Oper $addtok(%Oper,$remove($1,:),32)
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(1 aylik ircop kazandiniz!)
    }
    if $regex($1-,/Vip/i) {
      set %Vip $addtok(%Vip,$remove($1,:),32)
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun!  $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(1 aylik vip kullanici kazandiniz!)
    }
    if $regex($1-,/Gold/i) {
      set %Gold $addtok(%Gold,$remove($1,:),32)
      echo -a ms send $remove($1,:) Yeni yiliniz kutlu olsun! $qt3($remove($1,:)) bilet numaranız $qt.3($3) ->  $qt3(1 aylik Gold kullanici kazandiniz!)
    }
    inc %s
  }
  echo -a Super admin -> %super 
  echo -a Network admin -> %network
  echo -a Services admin -> %services
  echo -a Server admin -> %serv
  echo -a Oper -> %oper 
  echo -a Gold kullanici -> %gold 
  echo -a Vip kullanici -> %vip
}
